Loading...
Searching...
No Matches
usb::UsbDevice Struct Reference

USB device information. More...

`import <Usb.idl;`

## Public Attributes

int | portNumber
| USB Port number (1-based)
int | bus
| Bus number.
int | device
| Device address.
int | vendorId
| Vendor ID.
int | productId
| Product ID.
string | manufacturer
| Manufacturer.
string | product
| Product.

## Detailed Description

USB device information.

Definition at line 14 of file Usb.idl.

## Member Data Documentation

## bus

int usb::UsbDevice::bus

Bus number.

Definition at line 16 of file Usb.idl.

## device

int usb::UsbDevice::device

Device address.

Definition at line 17 of file Usb.idl.

## manufacturer

string usb::UsbDevice::manufacturer

Manufacturer.

Definition at line 20 of file Usb.idl.

## portNumber

int usb::UsbDevice::portNumber

USB Port number (1-based)

Definition at line 15 of file Usb.idl.

## product

string usb::UsbDevice::product

Product.

Definition at line 21 of file Usb.idl.

## productId

int usb::UsbDevice::productId

Product ID.

Definition at line 19 of file Usb.idl.

## vendorId

int usb::UsbDevice::vendorId

Vendor ID.

Definition at line 18 of file Usb.idl.

The documentation for this struct was generated from the following file:

- Usb.idl